% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{extract_best_match}
\alias{extract_best_match}
\title{Extract Best Match}
\usage{
extract_best_match(query, choices, score_cutoff = 50, processor = TRUE)
}
\arguments{
\item{query}{The query string to compare.}

\item{choices}{A vector of strings to compare against the query.}

\item{score_cutoff}{A numeric value specifying the minimum similarity score (default is 50.0).}

\item{processor}{A boolean indicating whether to preprocess strings before comparison (default is TRUE).}
}
\value{
A list containing the best matching string and its similarity score.
}
\description{
Compares a query string to all strings in a list of choices and returns the best match
with a similarity score above the score_cutoff.
}
